Subject: [bug#36623] [PATCH] gnu: gdal: add python support

From: Arne Babenhauserheide <[email-masked]>
Date: Fri, 19 Jul 2019 17:06:32 +0200

Hello Ludo`,

Ludovic Courtès <[email-masked]> writes:

>> validating RUNPATH of 6 binaries in "/gnu/store/q9sb0wv41ig429f1m1xspg22xm8pwpwh-gdal-2.2.4/lib"...
>> /gnu/store/q9sb0wv41ig429f1m1xspg22xm8pwpwh-gdal-2.2.4/lib/python3.7/site-packages/osgeo/_gdal.cpython-37m-x86_64-linux-gnu.so: error: depends on 'libgdal.so.20', which cannot be found in RUNPATH ("/gnu/store/b7fqhszxl02g6pfm3vw6b3cjz472qrly-python-3.7.0/lib" "/gnu/store/h90vnqw0nwd0hhm1l5dgxsdrigddfmq4-glibc-2.28/lib" "/gnu/store/4sqps8dczv3g7rwbdibfz6rf5jlk7w90-gcc-5.5.0-lib/lib" "/gnu/store/4sqps8dczv3g7rwbdibfz6rf5jlk7w90-gcc-5.5.0-lib/lib/gcc/x86_64-unknown-linux-gnu/5.5.0/../../..")
>
> I’m not familiar with Cython so I don’t know how this was handled
> before.  However, to me, it indicates that the resulting binaries are
> unlikely to work.
>
> Namely, Python would dlopen “_gdal.cython*.so”, and that would fail to
> find ‘libgdal.so’.
>
> Thoughts?

Yes: It does work. But I don’t know why.

Cython runs at compile-time to generate c-code that acts as interface
for Python. Given the paths in here, this needs gdal already installed
in the runpath where it seems to be missing during validation.

How can we fix that?

Best wishes,
Arne
-- 
Unpolitisch sein
heißt politisch sein
ohne es zu merken